<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>
        <variable
            name="adapter"
            type="oppen.light.ui.editor.luts_preview.LazyLUTAdapter" />

        <variable
            name="lut"
            type="kotlin.Pair" />
    </data>
    <RelativeLayout
        android:layout_width="@dimen/thumbnail_cell_width"
        android:layout_height="wrap_content"
        xmlns:tools="http://schemas.android.com/tools"
        xmlns:app="http://schemas.android.com/apk/res-auto">

        <ImageView
            android:id="@+id/thumbnail_image"
            android:layout_width="@dimen/thumbnail_cell_width"
            android:layout_height="@dimen/thumbnail_cell_height"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:scaleType="centerCrop"
            android:focusable="true"
            android:clickable="true"
            android:layout_alignParentTop="true"/>

        <!--
        <com.google.android.material.imageview.ShapeableImageView
            android:id="@+id/thumbnail_image"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:scaleType="centerCrop"
            android:focusable="true"
            android:clickable="true"
            android:layout_alignParentTop="true"
            app:shapeAppearanceOverlay="@style/circleImageView"
            app:srcCompat="@drawable/raster_windfarm"/>

            -->

        <TextView
            android:id="@+id/thumbnail_label"
            android:layout_width="@dimen/thumbnail_cell_width"
            android:layout_height="wrap_content"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:paddingBottom="6dp"
            android:textAlignment="center"
            android:lines="2"
            android:textSize="10sp"
            tools:text="a very long filter name koda gold filem"
            android:maxLines="2"
            android:layout_centerHorizontal="true"
            android:layout_below="@+id/thumbnail_image"
            />

    </RelativeLayout>
</layout>